COMM(1)

NAMN
comm — jämför två sorterade filer rad för rad

SYNOPSIS
comm [FLAGGA]... FIL1 FIL2

BESKRIVNING

Jämför de sorterade filerna FIL1 och FIL2 rad för rad.

När FIL1 eller FIL2 (inte båda) är -, läs standard in.

Utan flaggor produceras tre kolumner utdata. Kolumn ett innehåller rader unika för FIL1, kolumn två innehåller filer unika för FIL2 och kolumn tre innehåller rader gemensamma för båda filerna.

-1  Skriv ej kolumn 1 (rader som är unika för FIL1).

-2  Skriv ej kolumn 2 (rader som är unika för FIL2).

-3  Skriv ej kolumn 3 (rader som är förekommer i båda filerna).

--check-order
    Kontrollera att indata är korrekt sorterad, även om alla indatarader går att para ihop.

--nocheck-order
    Kontrollera inte att indata är korrekt sorterad.

--output-delimiter=STRÄNG
    Separera kolumner med STRÄNG.

--total
    Skriv ut en sammanfattning.

-z, --zero-terminated
    Radavgränsare är NOLL, inte nyrad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Jämförelser tar hänsyn till reglerna som anges av ”LC_COLLATE”.

EXEMPEL

comm -12 fil1 fil2
    Skriv ut endast rader som finns i både fil1 och fil2.

comm -3 fil1 fil2
    Skriv ut rader i fil1 som inte finns i fil2, och omvänt.

UPPHOVSMAN
Skrivet av Richard M. Stallman och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

SE ÄVEN
join(1), uniq(1)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/comm>
eller tillgängligt lokalt via: info '(coreutils) comm invocation'

Paketerat av Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den.
Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.